#!/bin/bash

hash git >/dev/null 2>&1 || { echo "This requires git installed"; exit 1; }
git clone --depth=1 https://bitbucket.org/archlabslinux/installer

echo
echo "Root access is needed to continue"
echo
sudo mkdir -p /usr/share/archlabs/installer/lang
sudo mkdir -p /usr/share/archlabs/installer/lib
sudo mkdir -p /usr/share/archlabs/installer/docs
sudo cp -fv installer/src/archlabs-installer /usr/bin/
sudo cp -fv installer/src/lib/*.sh /usr/share/archlabs/installer/lib/
sudo cp -fv installer/lang/*.trans /usr/share/archlabs/installer/lang/
sudo cp -fv installer/{LICENSE,README.md} /usr/share/archlabs/installer/docs/
echo
echo "Install complete"
